#!/bin/bash -p
#########################################################################
#									#
#	cpio_cr: Create cpio format archive				#
#									#
#	Usage:  cpio_cr.sh arc_name file1 file2 ...			#
#									#
#	Dave Cater Fri Jun  9 13:57:38 BST 1989				#
#	pax version: Geoff Clare, Nov 1996				#
#########################################################################

# This script is now automatically passed through a filter
# If you want to add logic which should only occur when 
# pax is to be used then prefix the line with `#PAX '. If you
# want to add logic which should only occur when cpio is to be
# used then prefix it with `#CPIO '.

cpio_in=cpio_t
rm -f $cpio_in

if [ $# -lt 2 ]
then
	# This should correspond to A_MISC in exitcodes.h 
	exit 31
fi

cpio_out=$1
shift

# The user may change the format creating command as necessary

#CPIO for i
#CPIO do echo "$i"
#CPIO done > $cpio_in 
#CPIO exec cpio -oc <$cpio_in >$cpio_out 2>/dev/null

exec pax -w -x cpio "$@" > $cpio_out 2>/dev/null
