#!/bin/bash -p
#########################################################################
#									#
#	tar_cr: Create tar format archive				#
#									#
#	Usage:  tar_cr.sh arc_name file1 file2 ...			#
#									#
#	Dave Cater Fri Jun  9 13:57:38 BST 1989				#
#	pax version: Geoff Clare, Nov 1996				#
#########################################################################

# This script is now automatically passed through a filter
# If you want to add logic which should only occur when 
# pax is to be used then prefix the line with `#PAX '. If you
# want to add logic which should only occur when tar is to be
# used then prefix it with `#TAR '.

if [ $# -lt 2 ]
then
	# This should correspond to A_MISC in exitcodes.h 
	exit 31
fi

# The user may change the format creating command as necessary

#TAR exec tar cf "$@" >/dev/null 2>/dev/null
exec pax -w -x ustar -f "$@" 2>/dev/null
