#!/bin/bash -p
#########################################################################
#									#
#	tar_i_xt: Read tar format archive - restoring file ownerships	#
#									#
#	Usage:  tar_i_xt.sh arc_name					#
#									#
#	Dave Cater Fri Jun  9 13:57:38 BST 1989				#
#	pax version: Geoff Clare, Nov 1996				#
#########################################################################

# This script is now automatically passed through a filter
# If you want to add logic which should only occur when 
# pax is to be used then prefix the line with `#PAX '. If you
# want to add logic which should only occur when tar is to be
# used then prefix it with `#TAR '.

if [ $# -lt 1 ]
then
	# This should correspond to A_MISC in exitcodes.h 
	exit 31
fi

# The user may change the format reading command as necessary

#TAR exec tar xf "$@" >/dev/null 2>/dev/null 

#exec pax -r -pe -x ustar -f "$@" > /dev/null 2>/dev/null
exec pax -r -pe  -f "$@" > /dev/null 2>/dev/null
